%define major 3
%define minor 1

Name:  gperf
Version: %{major}.%{minor}
Release: 1
Summary: A Compiler Tool for Generating Perfect Hash Functions
License: GPL-3.0-or-later
URL: https://www.gnu.org/software/gperf/
Source0: http://ftp.gnu.org/pub/gnu/gperf/gperf-%{major}.%{minor}.tar.gz

%description
gperf is a perfect hash function generator. For a given list of strings,
it produces a hash function and hash table, in form of C or C++ code, for
looking up a value depending on the input string. The hash function is perfect,
which means that the hash table has no collisions, and the hash table lookup 
needs a single string comparison only.

%prep
%setup -q

%build
%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib"
  #end

%make_build

%check
make check

%install
%make_install

%files
%defattr(-, qsys, *none)
%{_bindir}/gperf
%{_datadir}/doc/%{name}/gperf.html
%{_infodir}/gperf.info
%{_mandir}/man1/gperf.1

%changelog
* Thu Jan 9 2020 Abdirahim Musse <abdirahim.musse@ibm.com>
- Initial spec
